/*******************************************************
 * Menu definitions created with Menu Creator by       *
 * David Pehrson Copyright (C) 1986  David Pehrson     *
 * Mantis Development                                  *
 *                                                     *
 * With SUBSTANTIAL modifications (c) 1987 Doug Walker *
 * Software Distillery (see below)                     *
 *                                                     *
 *******************************************************/
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
* |_o_o|\\ Copyright (c) 1987 The Software Distillery.  All Rights Reserved *
* |. o.| ||          Written by Doug Walker                                 *
* | .  | ||          The Software Distillery                                *
* | o  | ||          235 Trillingham Lane                                   *
* |  . |//           Cary, NC 27511                                         *
* ======             BBS:(919)-471-6436                                     *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <exec/types.h>
#include <intuition/intuition.h>

char stTopaz[] = "topaz.font";

struct TextAttr taPlain =
{
	stTopaz, 8, FS_NORMAL, FPF_ROMFONT
};


struct IntuiText ItemText[] =
{
	{ 0, 1, JAM1, 0, 1, &taPlain, "Load", NULL },       /*  0 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Save", NULL },       /*  1 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Save As", NULL },    /*  2 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Colors", NULL },     /*  3 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Altfont", NULL },    /*  4 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Copy", NULL },       /*  5 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Mult Copy", NULL },  /*  6 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Quit", NULL },       /*  7 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "About", NULL },      /*  8 */

	{ 0, 1, JAM1, 0, 1, &taPlain, "Flip", NULL },       /*  9 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "X", NULL },          /* 10 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Y", NULL },          /* 11 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Rotate", NULL },     /* 12 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "+90", NULL },        /* 13 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "-90", NULL },        /* 14 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "180", NULL },        /* 15 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Shift", NULL },      /* 16 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Left", NULL },       /* 17 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Right", NULL },      /* 18 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Up", NULL },         /* 19 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Down", NULL },       /* 20 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Reset", NULL },      /* 21 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Original Colors", NULL }, /* 22 */
	{ 0, 1, JAM1, 0, 1, &taPlain, "Altfont Colors", NULL },  /* 23 */
};

struct MenuItem Items[] =
{
/* 0 */	{
		&Items[1], 0, 0, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[0], NULL, 'L', NULL, NULL 
	},
/* 1 */	{
		&Items[2], 0, 10, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[1], NULL, 'S', NULL, NULL 
	},
/* 2 */	{
		&Items[3], 0, 20, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[2], NULL, 'A', NULL, NULL 
	},
/* 3 */	{
		&Items[4], 0, 30, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[3], NULL, 'C', NULL, NULL 
	},
/* 4 */	{
		&Items[5], 0, 40, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[4], NULL, 'F', NULL, NULL 
	},
/* 5 */	{
		&Items[6], 0, 50, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[5], NULL, 'P', NULL, NULL 
	},
/* 6 */	{
		&Items[7], 0, 60, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[6], NULL, 'N', NULL, NULL 
	},
/* 7 */	{
		NULL, 0, 70, 110, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[7], NULL, 'Q', NULL, NULL 
	},
/* 8 */	{
		NULL, 0, 0, 56, 10, ITEMENABLED | ITEMTEXT | HIGHCOMP,
		0, (APTR)&ItemText[8], NULL, NULL, NULL, NULL 
	},

/* 9 */	{
		&Items[12], 0, 0, 99, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[9], NULL, '\0', &Items[10], NULL 
	},
/* 10 */{
		&Items[11], 70, 0, 70, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[10], NULL, 'X', NULL, NULL 
	},
/* 11 */{
		NULL, 70, 10, 70, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[11], NULL, 'Y', NULL, NULL 
	},
/* 12 */{
		&Items[16], 0, 10, 99, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[12], NULL, '\0', &Items[13], NULL 
	},
/* 13 */{
		&Items[14], 70, 0, 70, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[13], NULL, 'G', NULL, NULL 
	},
/* 14 */{
		&Items[15], 70, 10, 70, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[14], NULL, 'H', NULL, NULL 
	},
/* 15 */{
		NULL, 70, 20, 70, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[15], NULL, 'I', NULL, NULL 
	},
/* 16 */{
		NULL, 0, 20, 99, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[16], NULL, '\0', &Items[17], NULL 
	},
/* 17 */{
		&Items[18], 70, 0, 90, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[17], NULL, 'L', NULL, NULL 
	},
/* 18 */{
		&Items[19], 70, 10, 90, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[18], NULL, 'R', NULL, NULL 
	},
/* 19 */{
		&Items[20], 70, 20, 90, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[19], NULL, 'U', NULL, NULL 
	},
/* 20 */{
		NULL, 70, 30, 90, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[20], NULL, 'D', NULL, NULL 
	},
/* 21 */{
		&Items[22], 0, 0, 99, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[4], NULL, 'F', NULL, NULL 
	},
/* 22 */{
		NULL, 0, 10, 99, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[7], NULL, 'Q', NULL, NULL 
	},
/* 23 */{
		&Items[24], 0, 0, 165, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[22], NULL, 'O', NULL, NULL 
	},
/* 24 */{
		NULL, 0, 10, 165, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[23], NULL, 'F', NULL, NULL 
	},
};

struct Menu Titles[] =
{
	{ &Titles[1], 3, 0, 70, 0, MENUENABLED, "Project", Items},
	{ NULL, 72, 0, 54, 0, MENUENABLED, "About", &Items[8] },
};

struct Menu EditTitles[] =
{
	{ NULL, 72, 0, 46, 0, MENUENABLED, "Edit", &Items[9] },
};

struct Menu CopyTitles[] = 
{
	{ NULL, 3, 0, 46, 0, MENUENABLED, "Copy", &Items[21] },
};

struct Menu ColorTitles[] = 
{
	{ NULL, 72, 0, 55, 0, MENUENABLED, "Colors", &Items[23] },
};


struct MenuItem ORCItems[] =
{
/* 0 */{
		&ORCItems[1], 0, 0, 80, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[1], NULL, 'S', NULL, NULL 
	},
/* 1 */{
		&ORCItems[2], 0, 10, 80, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[21], NULL, 'T', NULL, NULL 
	},
/* 2 */{
	        NULL, 0, 20, 80, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
		0, (APTR)&ItemText[7], NULL, 'Q', NULL, NULL 
	},
   
};

struct Menu ORCTitles[] =
{
	{ NULL, 3, 0, 70, 0, MENUENABLED, "Project", ORCItems},
};

struct IntuiText AboutText[] = 
{
/* 0 */  { 0, 1, JAM1, 10, 10, &taPlain, 
           "HACKICON II, written by Doug Walker",
           &AboutText[1] 
         },
/* 1 */  { 0, 1, JAM1, 10, 20, &taPlain, 
           "Copyright(c) 1987 by the Software Distillery",
           &AboutText[2]
         },
/* 2 */  { 0, 1, JAM1, 10, 30, &taPlain, 
           "235 Trillingham Lane, Cary, NC 27511 (USA)",
           &AboutText[3]
         },
/* 3 */  { 0, 1, JAM1, 10, 40, &taPlain, 
           "BBS: (919)471-6436",
           &AboutText[4]
         },
/* 4 */  { 0, 1, JAM1, 10, 50, &taPlain, 
           "Usenet: mcnc!rti-sel!sas!walker",
           NULL 
         },
/* 5 */  { 0, 1, JAM1, 3, 3, &taPlain, "Great!", NULL },
/* 6 */  { 0, 1, JAM1, 3, 3, &taPlain, "So What?", NULL },
/* 7 */  { 0, 1, JAM1, 10, 10, &taPlain, "Let's try that again.", NULL },
/* 8 */  { 0, 1, JAM1, 10, 10, &taPlain, NULL, &AboutText[9] },/* Fill text in later */
/* 9 */  { 0, 1, JAM1, 10, 20, &taPlain, "has been changed.", &AboutText[10] },
/*10 */  { 0, 1, JAM1, 10, 30, &taPlain, "Do you really want to quit?", NULL },
/*11 */  { 0, 1, JAM1, 5, 3, &taPlain, "YES", NULL },
/*12 */  { 0, 1, JAM1, 5, 3, &taPlain, "NO", NULL },
  

};

struct IntuiText MiscText[] = 
{
/* 0 */  { 0, 1, JAM1, 10, 10, &taPlain, "ERROR: Can't open file", &MiscText[1] },
/* 1 */  { 0, 1, JAM1, 10, 20, &taPlain, NULL, NULL },
/* 2 */  { 0, 1, JAM1, 5, 3, &taPlain, "OK", NULL },
/* 3 */  { 0, 1, JAM1, 10, 10, &taPlain, "ERROR: Out of memory!", NULL },
/* 4 */  { 0, 1, JAM1, 10, 10, &taPlain, "ERROR: No more open slots for fonts!", NULL },
};


