/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
* |_o_o|\\ Copyright (c) 1987 The Software Distillery.  All Rights Reserved *
* |. o.| ||          Written by Doug Walker                                 *
* | .  | ||          The Software Distillery                                *
* | o  | ||          235 Trillingham Lane                                   *
* |  . |//           Cary, NC 27511                                         *
* ======             BBS:(919)-471-6436                                     *
\* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


/* DEBUG MUST BE DEFINED FOR REAL ELSEWHERE!!! */

#ifdef MYDEBUG

extern int debug;

#define BUG(lvl, args) {if(lvl<=debug){printf args ; fflush(stdout);}}
#define BUGGETC(lvl) {if(lvl<=debug)\
                       {printf("Hit return to continue: ");(void)getchar();}}

#else

#define BUG(lvl, args) {}
#define BUGGETC(lvl) {}

#endif MYDEBUG
